ArcGIS Pro not recognizing runtime after multiple solution attempts

1889
3
Jump to solution
12-02-2023 02:26 PM
RedFoxx
New Contributor II

Hiya,

I am a user trying to install ArcGIS Pro 3.2 (no prior installation). I am running Windows 11 on a laptop with appropriate RAM, disk space, graphics drivers, CPU, etc, x64. I have used the diagnostic tool and confirmed my system can run ArcGIS Pro. Every time I try, however, I am hit with the "Please install .NET 6.0.X, 6.0.5 minimum" error. I have browsed multiple online forums (ESRI, Reddit, GIS boards, Microsoft Help, etc) and have not been able to find a solution. I will list the following attempts, and bear in mind that I restart every time I (properly, from control panel) install and uninstall any .NET/ArcGIS Pro application, and never have two different versions installed at the same time:

1. verified the checksums

2. installed (singularly, with no other versions installed) various .NET desktop runtime versions from 6.0.5 to 6.0.25

3. installed (same deal) various .NET runtime versions from 6.05 to 6.0.25

4. 2 and 3, concurrently

5. installed various .NET runtime SDK versions in the same patch range as listed above

6. silent installation (and I have tried this for every .NET version I have tried)

7. clean boot

8. verified, for every version, that .NET runtime is detected by the system through command prompt

9. ensured, for all versions, I am installing the x64 version (which matches my computer)

10. disabled other .NET framework applications/drivers in windows features

11. Installed .NET using winget, alternatively -- the other downloads have come as executable windows installation media from the official website. Visual Studios is not an issue as I uninstalled it.

 

I'm growing increasingly frustrated, as ESRI comments on support posts like mine keep saying the same thing; "download version 6.0.X x64 and restart your computer." I would really, really appreciate support/helpful ideas with this issue that go beyond that. I have tried all the versions anyone and everyone has recommended, and I have followed instructions to the T.

0 Kudos
1 Solution

Accepted Solutions
RedFoxx
New Contributor II

Note that I originally meant to say the patch range I've used was 6.0.5 to 6.0.25 (6.0.5, 6.0.6, etc).

View solution in original post

0 Kudos
3 Replies
RedFoxx
New Contributor II

Note that I originally meant to say the patch range I've used was 6.0.5 to 6.0.25 (6.0.5, 6.0.6, etc).

0 Kudos
DanPatterson
MVP Esteemed Contributor

If these two posts from the support site don't help, then I would contact tech support directly, there may be another issue that isn't public yet

Problem: Unable to Install ArcGIS pro Even Though Microsoft .NET Desktop Runtime is Instal (esri.com...

slightly older

Error: ArcGIS pro Requires Microsoft .NET Desktop Runtime (X64) (esri.com)


... sort of retired...
0 Kudos
DanPatterson
MVP Esteemed Contributor

Glad you got a solution, can you elaborate on what you did in case others are in the same situation.


... sort of retired...
0 Kudos